<?php
    use AxiumPHP\Core\Router;
    use Zampet\Module\Tutor\v0\Controllers\PetController;

    Router::group(
        prefix: '/pet', 
        callback: function() {
            // Rota para listar todos os pets do tutor autenticado
            Router::GET(
                uri: '/list-my-pets',
                handler: [PetController::class, 'listMyPets']
            );

            // Rota para listar todas as espécies e raças de pets
            Router::GET(
                uri: '/especies',
                handler: [PetController::class, 'getAllEspecies']
            );

            // Cria Nova Raça
            Router::POST(
                uri: '/create-raca',
                handler: [PetController::class, 'storeRaca']
            );

            // Cria Novo Pet
            Router::POST(
                uri: '/create-pet',
                handler: [PetController::class, 'storePet']
            );

            // Consulta Detalhes do Pet
            Router::GET(
                uri: '/{pet_uuid}',
                handler: [PetController::class, 'getPetDetails']
            );
        }, 
        middlewares: [

        ]
    );